### Здарова! Библиотека немного помогает с тервером по МКН 3

# 📦 Версия: 0.6.5

- Функции `buckets_n_balls` => задачи про урны
- Функции `things_complexity` => задачи про путаницу вещей
- Функции `geometric_meeting` => задачи про встречи
- Функции `find_math_prediction` => нахождение математического ожидания для таблицы СВ
- Функции `find_disperion` => нахождение дисперсии для таблицы СВ
- Функции `table_analysis` => нахождение МО и Дисперсии для таблицы СВ
- Функция `combinations` => число сочетаний

### `подробно изменения расписаны в Change Log`

# 🔩 Использование
## 📥 Импортирование
### `from MKN_third_codes import solutions`
## 📂 Структура
```
━ MKN_third_codes
    ┣ mkn_globals
    ┣ mkn_utils
    ┗ solutions
```
## 🔧 Функции
- 📱 любая функция, решающая задачу имеет суффикс `_terminal`. Это значит, что, используя данную функцию, дополнительно ничего писать не надо, т.к. она представляет из себя готовое решение типа задач. Всё взаимодействие происходит в терминале.
- 📲 любая функция, решающая задачу имеет суффикс `_solution`. Такая функция принимает аргументы на вход, которые ей следует предоставить. В описании каждой функции есть описание возвращаемого объекта.
- 📨 любая функция, решающая задачу имеет суффикс `_request`. Этот тип функций позволяет взаимодействовать с ней извне, например, отсылая в качестве входного параметра ввод пользователя.
- 📊 Некоторые функции имеют метафикс `_optimized`. Такие функции считают значения приблизительно, так как в них используются формулы, дающие значения, близкие к действительным. Используйте данные функции только если слишком долги считать некоторые значения на обычных функциях.
## 🧱 Классы
- Классы данной библиотеки можно использовать вне функций, предоставляемых данной библиотекой, но т.к. классы заточены под неё, то ими возможно будет неудобно пользоваться.

# ✅ Установка
### Консоль: `pip install --upgrade MKN_third_codes`
## Страница библиотеки: [MKN_lib][libaPage]

# 🧀 Не хотите париться с библиотекой?
## Бот [Lengendary Solver Bot][AlekseiBot] предоставляет возможность использования всех возможностей библиотеки в удобном интерфейсе телеграма.
### Автор бота: [Алексей Шумков][LehaVK]

# ☎️ Контакты #
## Я в ВК: <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/f/f3/VK_Compact_Logo_%282021-present%29.svg/2048px-VK_Compact_Logo_%282021-present%29.svg.png" alt="vk-icon" height="27rem">[Долгун Иван][vkCom]
## Я в Discord: <img src="https://uxwing.com/wp-content/themes/uxwing/download/brands-and-social-media/discord-square-color-icon.png" alt="discord-icon" height="27rem" style="vertical-align: middle;">ИVAN#2599

[vkCom]: https://vk.com/ivandolgun
[libaPage]: https://pypi.org/project/MKN-third-codes/
[AlekseiBot]: https://t.me/mkn_solver_bot
[LehaVK]: https://vk.com/miranchuk5959